# ej2-ng-splitbuttons

A package of Essential JS 2 DroDownButton, SplitButton and ButtonGroup components.

![SplitButton](https://ej2.syncfusion.com/products/images/splitbutton/readme.gif)

> This is a commercial product and requires a paid license for possession or use. Syncfusion’s licensed software, including this component, is subject to the terms and conditions of Syncfusion's EULA (https://www.syncfusion.com/eula/es/). To acquire a license, you can purchase one at https://www.syncfusion.com/sales/products or start a free 30-day trial here (https://www.syncfusion.com/account/manage-trials/start-trials).

> A free community license (https://www.syncfusion.com/products/communitylicense) is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue and five or fewer developers.

## Setup

To install `SplitButtons` and its dependent packages, use the following command

```sh
npm install @syncfusion/ej2-ng-splitbuttons
```

## Components included

Following list of components are available in the package.

* DropDownButton - `DropDownButton` is used to toggle contextual overlays for displaying list of action items.
    * [Getting Started](https://ej2.syncfusion.com/angular/documentation/drop-down-button/getting-started.html?utm_source=npm&utm_campaign=drop-down-button)
    * [View Online Demos](https://ej2.syncfusion.com/angular/demos/?utm_source=npm&utm_campaign=drop-down-button#/material/button/drop-down-button)
    * [Product Page](https://www.syncfusion.com/products/angular/dropdown-button)

* SplitButton - `SplitButton` has primary and secondary button. Primary button is used to select default action and secondary button is used to toggle contextual overlays for displaying list of action items.
    * [Getting Started](https://ej2.syncfusion.com/angular/documentation/split-button/getting-started.html?utm_source=npm&utm_campaign=split-button)
    * [View Online Demos](https://ej2.syncfusion.com/angular/demos/?utm_source=npm&utm_campaign=split-button#/material/button/split-button)
    * [Product Page](https://www.syncfusion.com/products/angular/split-button)

* ButtonGroup - `ButtonGroup` is a graphical user interface that groups series of buttons horizontally or vertically.
    * [Getting Started](https://ej2.syncfusion.com/angular/documentation/button-group/getting-started.html?utm_source=npm&utm_campaign=button-group)
    * [View Online Demos](https://ej2.syncfusion.com/angular/demos/?utm_source=npm&utm_campaign=grid#/material/button/button-group)
    * [Product Page](https://www.syncfusion.com/products/angular/button-group)

## Supported Frameworks

These components are available in following list of frameworks.

1. [React](https://github.com/syncfusion/ej2-react-splitbuttons?utm_source=npm&utm_campaign=splitbutton)
2. [VueJS](https://github.com/syncfusion/ej2-vue-splitbuttons?utm_source=npm&utm_campaign=splitbutton)
3. [ASP.NET Core](https://www.syncfusion.com/products/aspnetcore)
4. [ASP.NET MVC](https://www.syncfusion.com/products/aspnetmvc)
5. [JavaScript (ES5)](https://www.syncfusion.com/products/javascript)

## Key Features

### DropDownButton

* [**Icons and Navigations**](https://ej2.syncfusion.com/angular/documentation/drop-down-button/popup-items.html#icons) - Supports text and icon on the DropDownButton and Popup items. URL can be given to Popup items  that creates the anchor link to navigate to the URL provided.

* [**Separator**](https://ej2.syncfusion.com/angular/documentation/drop-down-button/popup-items.html#separator) - Supports Popup items grouping by using the Separator.

* [**Accessibility**](https://ej2.syncfusion.com/angular/documentation/drop-down-button/accessibility.html#accessibility) - Provided with built-in accessibility support that helps to access all the DropDownButton component features through the keyboard, screen readers, or other assistive technology devices.

### SplitButton

* [**Icons and Navigations**](https://ej2.syncfusion.com/angular/documentation/split-button/icons-and-separator.html#splitbutton-icons) - Supports text and icon on the SplitButton and Popup items. URL can be given to Popup items  that creates the anchor link to navigate to the URL provided.

* [**Separator**](https://ej2.syncfusion.com/angular/documentation/split-button/icons-and-separator.html#separator) - Supports Popup items grouping by using the Separator.

* [**Accessibility**](https://ej2.syncfusion.com/angular/documentation/split-button/accessibility.html#accessibility) - Provided with built-in accessibility support that helps to access all the SplitButton component features through the keyboard, screen readers, or other assistive technology devices.

### ButtonGroup

* [**Types, Sizes, and Styles**](https://ej2.syncfusion.com/angular/documentation/button-group/types-and-styles.html#buttongroup-types) - Provided with different types, sizes and predefined styles of button.

* [**Selection**](https://ej2.syncfusion.com/angular/documentation/button-group/selection.html#selection) - Supports single and multiple selection behaviors.

* [**Orientation**](https://ej2.syncfusion.com/angular/documentation/button-group/getting-started.html#orientation) - Supports horizontal and vertical orientations.

* [**Nesting**](https://ej2.syncfusion.com/angular/documentation/button-group/selection.html#nesting) - Supports nesting with drop-down and split button components.

* [**Accessibility**](https://ej2.syncfusion.com/angular/documentation/button-group/accessibility.html#accessibility) - Built-in accessibility features to access all the button group using the keyboard, screen readers, or other assistive technology devices.

## Support

Product support is available for through following mediums.

* Creating incident in Syncfusion [Direct-trac](https://www.syncfusion.com/support/directtrac/incidents?utm_source=npm&utm_campaign=splitbutton) support system or [Community forum](https://www.syncfusion.com/forums/angular-js2?utm_source=npm&utm_campaign=splitbutton).
* New [GitHub issue](https://github.com/syncfusion/ej2-ng-splitbuttons/issues/new).
* Ask your query in [Stack Overflow](https://stackoverflow.com/?utm_source=npm&utm_campaign=splitbutton) with tag `syncfusion`, `ej2`.

## License

Check the license detail [here](https://github.com/syncfusion/ej2/blob/master/license?utm_source=npm&utm_campaign=splitbutton).

## Changelog

Check the changelog [here](https://github.com/syncfusion/ej2-ng-splitbuttons/blob/master/CHANGELOG.md?utm_source=npm&utm_campaign=splitbutton)

© Copyright 2018 Syncfusion, Inc. All Rights Reserved. The Syncfusion Essential Studio license and copyright applies to this distribution.